@keyframes "lds-dual-ring" {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.no-overflow{
  overflow: unset !important;
}
.wrapper_content_full {
  .support-tabs {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    width: 100%;
    .tab {
      border-bottom: 2px solid grey;
      color: grey;
      cursor: pointer;
      padding: 10px 0;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
      -ms-flex-direction: column;
      flex-direction: column;
      -ms-flex-preferred-size: 100%;
      flex-basis: 100%;
      -webkit-box-flex: 1;
      -ms-flex: 1;
      flex: 1;
      -webkit-box-pack: center;
      -ms-flex-pack: center;
      justify-content: center;
      -webkit-box-align: center;
      -ms-flex-align: center;
      align-items: center;
      margin: 5px;
      font-size: 15px;
    }
    .tab.active {
      color: #ff9900;
      border-bottom: 2px solid #f90;
    }
  }
}
.clearfix {
  &:after {
    content: '';
    clear: both;
    display: block;
    height: 0;
  }
  &:before {
    content: '';
    clear: both;
    display: block;
    height: 0;
  }
}
.hidden {
  display: none;
}
.mb-10 {
  margin-bottom: 10px;
}
.plr-20 {
  padding: 0 20px;
}
.plr-10 {
  padding: 0 10px;
}
.pt-10 {
  padding-top: 10px;
}
.right {
  float: right;
}
.button {
  color: #ffffff;
  font-weight: bold;
  text-align: center;
  border: 0;
  background: #ff9900;
  cursor: pointer;
  outline: none;
  padding: 3px 8px;
}
a.button {
  color: black;
}
.content_box_body {
  width: 100%;
}
.tab-content {
  display: none;
  padding: 0;
}
.tab-content.active {
  display: block;
}
form.ticket-form {
  width: 100%;
  display: block;
  margin: auto;
  .field {
    width: 100%;
    overflow: hidden;
    label {
      display: block;
      color: #ffffff;
      font-size: 15px;
      margin-bottom: 0px;
    }
    div {
      margin-top: 5px;
      width: 100%;
      overflow: hidden;
      .text {
        border: 1px solid #fff;
        background: none;
        border-radius: 4px;
          width: 100%;
        height: 46px;
        padding: 5px 12px;
        font-size: 14px;
          box-sizing: border-box;
        color: #fff;
        margin-top: 10px;
        margin-bottom: 20px;
      }
    }
  }
}

.ticket-row {

  &.new-ticket {
    background: #f90;
    color: #000;

    .date {
      color:#222;
    }

    .content-details {
      color: #fff;
    }
  }

}

.row-f {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;

  div{

    &:first-child{

      span{
        margin-left: 5px;
      }
    }
  }

  .date {
    color:#8d8d8d;
  }

  .content-details {
    flex-grow: 1;
    padding-left: 20px;
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: calc(100vw - 165px);
    overflow: hidden;
  }
}
.col-12 {
  position: relative;
  width: 100%;
  flex: 0 0 100%;
  max-width: 100%;
  font-size: 14px;
}
.col-3 {
  position: relative;
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  flex: 0 0 24.29%;
  max-width: 29.333333%;
}

.col-6 {
  position: relative;
  width: 100%;
  flex: 0 0 49.5%;
  max-width: 49.5%;
}

.tickets {
  strong {
    color: #fff;
  }
  .heading {
    strong {
      font-size: 14px;
    }
    .label{
          color: #ff9900;
    }
    p{
      font-size: 14px;
      box-sizing: border-box;
    }
  }
  li {
    padding: 15px;
    border-bottom: 1px solid grey;
  }
  li.heading {
    background: #222;
  }
  .ticket-row.odd{
    background: #222222;
  }
}
.bordered {
  border: 1px solid #fff;
}


textarea#message {
  height: 56px;
}
.custom-fileinput {
  display: inline-block;
  vertical-align: bottom;
  width: 258px;
}
.lbl {
    box-sizing: border-box;
  text-decoration: none;
  display: inline-block;
  float: left;
  cursor: pointer;
    color: #f90;
    border: 1px solid #f90;
    padding: 20px 30px;
    border-radius: 5px;
    font-size: 15px;
    line-height: 16px;
    text-transform: uppercase;
    font-weight: 400;
    width: 100%;
    text-align: center;
}
.lbl-placeholder {
  display: none;
}
#attached {
  display: none;
}
.label {
  width: 80px;
  text-align: center;
  margin-right: 10px;
  padding-right: 5px;
}
#ticketComments {
   ul.tickets {
    list-style-type: none;
    width: 100%;
    margin-top: 12px;
    display: flex;
    flex-direction: column;
    &:first-child {
      margin-top: 0;
    }
    li{
       line-height: 1rem;
      max-width: 90%;
      border-radius: 5px;
      .attach-container{
        margin-top: 10px;
        p{
          flex: 0 0 100%;
        }
      }
    }
    i.author{
      color: gray;
    }
  }
   .by-admin{
     align-items: flex-end;
     li.heading{
      background: #f90;

      p{
        margin-bottom: 0px;
        color: black;
      }
     }
  }
  .by-user{
    align-items: flex-start;
      li.heading{
      p{margin-bottom: 0px;
        color: white;
      }
     }
  }
}
.lds-dual-ring-cntr {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #8080805e;
  z-index: 9999;
  display: none;
}
.overlay {
  .lds-dual-ring-cntr {
    display: block;
  }
  .lds-dual-ring {
    display: inline-block;
  }
}
.lds-dual-ring {
  display: none;
  width: 64px;
  height: 64px;
  position: absolute;
  left: 0;
  top: calc(50% - 50px);
  right: 0;
  z-index: 9999;
  margin: auto;
  &:after {
    content: " ";
    display: block;
    width: 46px;
    height: 46px;
    margin: 1px;
    border-radius: 50%;
    border: 5px solid;
    border-color: #f90 transparent #f90 transparent;
    animation: lds-dual-ring 1.2s linear infinite;
  }
}
.sticky-button{
  position: fixed;
  bottom: 0;
  left: 0;
    cursor: pointer;
    background: #f90;
    display: -webkit-box;
    display: -ms-flexbox;
  display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    text-transform: uppercase;
  align-items: center;
    color: black !important;
    border: none;
    padding: 20px 30px;
  font-size: 16px;
    line-height: 16px;
  font-weight: 400;
  justify-content: center;
    min-width: 100%;
  i{
    color:black;
  }
}
.wide-button{
  width: 100%;
  height: 33px;
  margin-top: 10px;
}
.backurl{
  margin: 10px 20px;
}

#ticketComments{
  padding: 0 20px;
  margin-bottom: 90px;

  .tickets{

    .heading,
    .no-padding{
      border: 0;
    }

    .heading{
      max-width: 80%;
    }

    .no-padding{
      padding: 5px 0 0 0;
    }

    &.by-admin{

      .heading{
        border-radius: 10px 0 10px 10px;
        background: #ffffff;

        p{
          color: #000000;
        }
      }
    }

    &.by-user{

      .heading{
        border-radius: 0 10px 10px 10px;
        background: grey;

        p{
          color: #ffffff;
        }
      }
    }
  }
}

form.ticket-form{

  .field{

    div{

      .text.chat{
        margin: 0;
        padding: 18px 80px 18px 40px;
        height: 60px;
        overflow: hidden;
        resize: none;
        background-color: #ffffff;
        color: #000000;
        margin-top: 0px;
        border-radius: 0;
        border: 0;
      }
    }
  }
}

.send-container{
  margin: 0;
  position: fixed;
  bottom: 0;
  left: 0;
  height: 56px;

  #custom-fileinput{
    height: 100%;
    margin: 0;
    width: unset;
    overflow: unset;
    position: absolute;

    .file-preview{
      position: absolute;
      bottom: 65px;
      left: 10px;
      overflow: unset;
      width: 180px;
      /*height: 130px;*/
      -webkit-box-shadow: 0px 10px 25px 0px rgba(0,0,0,0.16);
      -moz-box-shadow: 0px 10px 25px 0px rgba(0,0,0,0.16);
      box-shadow: 0px 10px 25px 0px rgba(0,0,0,0.16);
      background:#fff;
      display: none;

      &:before{
        content: '';
        width: 0;
        height: 0;
        border-left: 15px solid transparent;
        border-right: 15px solid transparent;
        border-top: 20px solid #ffffff;
        position: absolute;
        bottom: -20px;
        left: 3px;
        transform: translateX(-10%);
        z-index: 99;
      }

      .image{
        height: 100%;
        border: 5px solid #ffffff;
        box-sizing: border-box;
        border-radius: 8px;
        width: 180px;
        /*height: 130px;*/
        background-size: cover;
        padding:10px;
      }

      .file-remove{
        position: absolute;
        top: -15px;
        right: -15px;
        width: 30px;
        height: 30px;
        background-color: #000000;
        border-radius: 50%;
        color: #ffffff;
        font-size: 18px;
        display: flex;
        align-items: center;
        justify-content: center;
        -webkit-box-shadow: 0px 10px 25px 0px rgba(0,0,0,0.75);
        -moz-box-shadow: 0px 10px 25px 0px rgba(0,0,0,0.75);
        box-shadow: 0px 10px 25px 0px rgba(0,0,0,0.75); 
        cursor: pointer;
      }
    }
  }

  .lbl{
    position: absolute;
    font-size: 20px;
    left: 0px;
    top: 50%;
    transform: translateY(-50%);
    height: 100%;
    width: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 0;
    border-radius: 0;
    padding: 0;
  }

  button{
    position: absolute;
    right: 0px;
    top: 50%;
    transform: translateY(-50%);
    color: #ff9900;
    font-size: 20px;
    border: 0;
    background: #ffffff;
    height: 100%;
    width: 80px;
    outline: none;
  }
}